#### D.12.3.1 ishyper

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  ishyper(h,f); h,f=poly

Return:
  1 if y^2+h(x)y=f(x) is hyperelliptic, 0 otherwise

Note:
  Tests, if y^2+h(x)y=f(x) is a hyperelliptic curve.
  Curve is defined over basering. Additionally shows error-messages.

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    // hyperelliptic curve y^2 + h*y = f
    poly h=x;
    poly f=x5+5x4+6x2+x+3;
    ishyper(h,f);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.